Bug 3804 - [UPDATE REQUEST] [UPSTREAM UPDATE] initscripts
: [UPDATE REQUEST] [UPSTREAM UPDATE] initscripts
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 16:24 MSK by Andrew Lukoshko
Modified: 2014-03-10 19:25 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-02-25 16:24:47 MSK
* Previously, when the path to a .pid file was provided, the status() and killproc() functions checked only for the existence of the process with a PID (Process ID) mentioned in the .pid file. Consequently, when the process died not removing the .pid file, the PID was recycled and status() incorrectly reported the process to be running. With this update, the "-b" option has been added to specify the path to the binary. This path is subsequently checked by the status() and killproc() functions, thus fixing the bug.

http://rhn.redhat.com/errata/RHBA-2014-0190.html

https://abf.rosalinux.ru/build_lists/1658372
https://abf.rosalinux.ru/build_lists/1658373
Comment 1 Vladimir Potapov 2014-02-26 17:34:22 MSK
initscripts-9.03.40-2.res6.1
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658372/
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658373/
****************************** RHEL Advisory *************************
* Previously, when the path to a .pid file was provided, the status() and killproc() functions checked only for the existence of the process with a PID (Process ID) mentioned in the .pid file. Consequently, when the process died not removing the .pid file, the PID was recycled and status() incorrectly reported the process to be running. With this update, the "-b" option has been added to specify the path to the binary. This path is subsequently checked by the status() and killproc() functions, thus fixing the bug.
**********************************************************************
QA Verified